package com.platform.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.R;
import com.platform.modules.app.entity.UserTokenEntity;

/**
 * 用户Token
 */
public interface UserTokenService extends IService<UserTokenEntity> {

	/**
	 * 生成token
	 * @param userId  用户ID
	 */
	R createToken(long userId);

	UserTokenEntity queryByToken(String token);

	/**
	 * 退出，修改token值
	 * @param userId  用户ID
	 */
	void logout(long userId);

}
